| Bsoft 2.0.5 Bernard's software package

Public Member Functions | Public Attributes | List of all members
View Class Reference

`#include <View.h>`

## Public Member Functions
| View ()
| View (const View &view)
| View (Vector3< double > &vec)
| View (vector< double > &vec)
| View (const double x, const double y, const double z, const double angle)
| View (Quaternion &q)
| View (Matrix3 m)
| View (double tilt, double axis)
| View (double angle, Vector3< double > axis)
View | operator= (const View &view)
View | operator= (const vector< double > &vec)
View | operator- ()
bool | operator== (const View &view)
double & | operator[] (size_t i)
double | x ()
double | y ()
double | z ()
double | angle ()
void | x (const double d)
void | y (const double d)
void | z (const double d)
void | angle (const double d)
vector< double > | array ()
double | vector_size ()
double | normalize ()
void | negate ()
View | backward ()
Vector3< double > | vector3 ()
Quaternion | quaternion ()
Matrix3 | matrix ()
double | distance (const View &view)
double | angle (const View &view)
double | residual (const View &view)

## Public Attributes
View * | next

## Detailed Description

Definition at line 26 of file View.h.

## Constructor & Destructor Documentation

## ◆ View() [1/9]

View::View | ( |  | ) |
| inline

Definition at line 38 of file View.h.

## ◆ View() [2/9]

View::View | ( | const View & | view | ) |
| inline

Definition at line 39 of file View.h.

## ◆ View() [3/9]

View::View | ( | Vector3< double > & | vec | ) |
| inline

Definition at line 40 of file View.h.

## ◆ View() [4/9]

View::View | ( | vector< double > & | vec | ) |
| inline

Definition at line 41 of file View.h.

## ◆ View() [5/9]

View::View | ( | const double | x,
|  | const double | y,
|  | const double | z,
|  | const double | angle
| ) |  |
| inline

Definition at line 43 of file View.h.

## ◆ View() [6/9]

View::View | ( | Quaternion & | q | ) |
| inline

Definition at line 48 of file View.h.

## ◆ View() [7/9]

View::View | ( | Matrix3 | m | ) |
| inline

Definition at line 60 of file View.h.

## ◆ View() [8/9]

View::View | ( | double | tilt,
|  | double | axis
| ) |  |
| inline

Definition at line 64 of file View.h.

## ◆ View() [9/9]

View::View | ( | double | angle,
|  | Vector3< double > | axis
| ) |  |
| inline

Definition at line 69 of file View.h.

## Member Function Documentation

## ◆ angle() [1/3]

double View::angle | ( |  | ) |
| inline

Definition at line 95 of file View.h.

## ◆ angle() [2/3]

void View::angle | ( | const double | d | ) |
| inline

Definition at line 99 of file View.h.

## ◆ angle() [3/3]

double View::angle | ( | const View & | view | ) |
| inline

Definition at line 159 of file View.h.

## ◆ array()

vector<double> View::array | ( |  | ) |
| inline

Definition at line 100 of file View.h.

## ◆ backward()

View View::backward | ( |  | ) |
| inline

Definition at line 115 of file View.h.

## ◆ distance()

double View::distance | ( | const View & | view | ) |
| inline

Definition at line 155 of file View.h.

## ◆ matrix()

Matrix3 View::matrix | ( |  | ) |
| inline

Definition at line 150 of file View.h.

## ◆ negate()

void View::negate | ( |  | ) |
| inline

Definition at line 114 of file View.h.

## ◆ normalize()

double View::normalize | ( |  | ) |
| inline

Definition at line 106 of file View.h.

## ◆ operator-()

View View::operator- | ( |  | ) |
| inline

Definition at line 84 of file View.h.

## ◆ operator=() [1/2]

View View::operator= | ( | const View & | view | ) |
| inline

Definition at line 74 of file View.h.

## ◆ operator=() [2/2]

View View::operator= | ( | const vector< double > & | vec | ) |
| inline

Definition at line 78 of file View.h.

## ◆ operator==()

bool View::operator== | ( | const View & | view | ) |
| inline

Definition at line 88 of file View.h.

## ◆ operator[]()

double& View::operator[] | ( | size_t | i | ) |
| inline

Definition at line 91 of file View.h.

## ◆ quaternion()

Quaternion View::quaternion | ( |  | ) |
| inline

Definition at line 127 of file View.h.

## ◆ residual()

double View::residual | ( | const View & | view | ) |
| inline

Definition at line 165 of file View.h.

## ◆ vector3()

Vector3<double> View::vector3 | ( |  | ) |
| inline

Definition at line 126 of file View.h.

## ◆ vector_size()

double View::vector_size | ( |  | ) |
| inline

Definition at line 103 of file View.h.

## ◆ x() [1/2]

double View::x | ( |  | ) |
| inline

Definition at line 92 of file View.h.

## ◆ x() [2/2]

void View::x | ( | const double | d | ) |
| inline

Definition at line 96 of file View.h.

## ◆ y() [1/2]

double View::y | ( |  | ) |
| inline

Definition at line 93 of file View.h.

## ◆ y() [2/2]

void View::y | ( | const double | d | ) |
| inline

Definition at line 97 of file View.h.

## ◆ z() [1/2]

double View::z | ( |  | ) |
| inline

Definition at line 94 of file View.h.

## ◆ z() [2/2]

void View::z | ( | const double | d | ) |
| inline

Definition at line 98 of file View.h.

## Member Data Documentation

## ◆ next

View* View::next

Definition at line 28 of file View.h.

The documentation for this class was generated from the following file:

- /Users/bernard/b20/bsoft/include/View.h